Package org.silverpeas.components.gallery.process.media

## Class GalleryDeindexMediaDataProcess

- java.lang.Object
- - org.silverpeas.core.process.AbstractProcess<C>
  - - org.silverpeas.core.process.management.AbstractDataProcess<org.silverpeas.core.process.management.ProcessExecutionContext>
    - - org.silverpeas.components.gallery.process.AbstractGalleryDataProcess
      - - org.silverpeas.components.gallery.process.media.GalleryDeindexMediaDataProcess

- All Implemented Interfaces:
    `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`

      public class GalleryDeindexMediaDataProcess
      extends AbstractGalleryDataProcess

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `GalleryDeindexMediaDataProcess​(Media media)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static GalleryDeindexMediaDataProcess` | `getInstance​(Media media)` |
    `void` | `onSuccessful()` |
    `protected void` | `processData​(org.silverpeas.core.process.management.ProcessExecutionContext context, org.silverpeas.core.process.session.ProcessSession session)` |

    - ### Methods inherited from class org.silverpeas.components.gallery.process.AbstractGalleryDataProcess

      `createMedia, getGalleryContentManager, getGalleryService, getGenericRecordSetManager, getMedia, getOrganisationController, getPublicationTemplateManager, getXMLFormName, process, updateMedia`

    - ### Methods inherited from class org.silverpeas.core.process.management.AbstractDataProcess

      `getProcessType`

    - ### Methods inherited from class org.silverpeas.core.process.AbstractProcess

      `onFailure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GalleryDeindexMediaDataProcess

          protected GalleryDeindexMediaDataProcess​(Media media)

  - ### Method Detail

    - #### getInstance

          public static GalleryDeindexMediaDataProcess getInstance​(Media media)

    - #### processData

          protected void processData​(org.silverpeas.core.process.management.ProcessExecutionContext context,
                                     org.silverpeas.core.process.session.ProcessSession session)

      Specified by:
        `processData` in class `AbstractGalleryDataProcess`

    - #### onSuccessful

          public void onSuccessful()
                            throws Exception

      Specified by:
        `onSuccessful` in interface `org.silverpeas.core.process.SilverpeasProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`
      Overrides:
        `onSuccessful` in class `org.silverpeas.core.process.AbstractProcess<org.silverpeas.core.process.management.ProcessExecutionContext>`
      Throws:
        `Exception`